from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Directory, Boolean, String

Cobs_Compact_Construct_V0_1_0 = CommandToolBuilder(tool="cobs_compact_construct", base_command=["cobs", "compact-construct"], inputs=[ToolInput(tag="in_clobber", input_type=Directory(optional=True), prefix="--clobber", doc=InputDocumentation(doc="erase output directory if it exists")), ToolInput(tag="in_continue", input_type=Directory(optional=True), prefix="--continue", doc=InputDocumentation(doc="continue in existing output directory")), ToolInput(tag="in_false_positive_rate", input_type=Boolean(optional=True), prefix="--false-positive-rate", doc=InputDocumentation(doc="false positive rate, default: 0.300000")), ToolInput(tag="in_file_type", input_type=Boolean(optional=True), prefix="--file-type", doc=InputDocumentation(doc="'list' to read a file list, or filter documents by\nfile type (any, text, cortex, fasta, fastq, etc)")), ToolInput(tag="in_keep_temporary", input_type=Boolean(optional=True), prefix="--keep-temporary", doc=InputDocumentation(doc="keep temporary files during construction")), ToolInput(tag="in_memory", input_type=Boolean(optional=True), prefix="--memory", doc=InputDocumentation(doc="memory in bytes to use, default: 5.433 Gi")), ToolInput(tag="in_no_canonicalize", input_type=Boolean(optional=True), prefix="--no-canonicalize", doc=InputDocumentation(doc="don't canonicalize DNA k-mers, default: false")), ToolInput(tag="in_page_size", input_type=Boolean(optional=True), prefix="--page-size", doc=InputDocumentation(doc="the page size of the compact the index, default:\nsqrt(#documents)")), ToolInput(tag="in_term_size", input_type=Boolean(optional=True), prefix="--term-size", doc=InputDocumentation(doc="term size (k-mer size), default: 31")), ToolInput(tag="in_threads", input_type=Boolean(optional=True), prefix="--threads", doc=InputDocumentation(doc="number of threads to use, default: max cores")), ToolInput(tag="in_tmp_path", input_type=Boolean(optional=True), prefix="--tmp-path", doc=InputDocumentation(doc="directory for intermediate index files, default:\nout_file + '.tmp')\n")), ToolInput(tag="in_input", input_type=String(), position=0, doc=InputDocumentation(doc="path to the input directory or file")), ToolInput(tag="in_out_file", input_type=String(), position=1, doc=InputDocumentation(doc="path to the output .cobs_compact index file"))], outputs=[ToolOutput(tag="out_clobber", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_clobber", type_hint=File()), doc=OutputDocumentation(doc="erase output directory if it exists")), ToolOutput(tag="out_continue", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_continue", type_hint=File()), doc=OutputDocumentation(doc="continue in existing output directory"))], container="quay.io/biocontainers/cobs:0.1.2--py39h56fc30b_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Cobs_Compact_Construct_V0_1_0().translate("wdl")

